sedsed(1)

NAME
sedsed - debugger and code formatter for sed scripts

SYNOPSIS
sedsed OPTION [-e sedscript] [-f sedscriptfile] [inputfile]

DESCRIPTION
sedsed can debug, indent, tokenize and HTMLize sed scripts.

In debug mode, it reads the target script and adds extra commands to it. When executed it shows the data flow between the commands, revealing all the magic sed does on its internal buffers.

In indent mode, the script is reformatted with standard spacing.

In tokenize mode, it shows the elements of every command used.

In HTMLize mode, the script is converted to a beautiful colored HTML file, with all the commands and parameters identified for best viewing.

OPTIONS

-f, --file
    Add file contents to the commands to be parsed.

-e, --expression
    Add the script to the commands to be parsed.

-n, --quiet
    Suppress automatic printing of pattern space.

--silent
    Alias to --quiet.

-d, --debug
    Debug the sed script.

--hide
    Hide some debug info (options: PATT, HOLD, COMM).

--color
    Shows debug output in colors (default: ON).

--nocolor
    No colors on debug output.

--dump-debug
    Dumps to screen the debugged sed script.

-i, --indent
    Script beautifier, prints indented and one-command-per-line output do STDOUT.

--prefix
    Indent prefix string (default: 4 spaces).

-t, --tokenize
    Script tokenizer, prints extensive command by command information.

-H, --htmlize
    Converts sed script to a colorful HTML page.

-V, --version
    Prints the program version and exit.

-h, --help
    Prints this help message and exit.

AUTHOR
sedsed was written by Aurelio Jargas <aurelio@aurelio.net>.

This manual page was written by Marcos Talau <marcos@talau.info> for the Debian project (but may be used by others).